﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Infragistics.Win.UltraWinDock;

namespace UltraDockManagerPaneResize
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraDockManager1_PaneActivate(object sender, Infragistics.Win.UltraWinDock.ControlPaneEventArgs e)
        {
            if (e.Pane.DockedState == Infragistics.Win.UltraWinDock.DockedState.Floating)
            {
                e.Pane.Dock(true);
                e.Pane.Pin();
                if (Convert.ToBoolean(e.Pane.DockAreaPane.Tag) != true)
                {
                    foreach (DockableControlPane item in ultraDockManager1.ControlPanes)
                    {
                        if (item != e.Pane) item.Close();
                    }
                    e.Pane.DockAreaPane.Tag = true;
                    e.Pane.DockAreaPane.Size = new Size(this.Width - 20, this.Height - 40);
                }
                else
                {
                    foreach (DockableControlPane item in ultraDockManager1.ControlPanes)
                    {
                        if (item != e.Pane) item.Show();
                    }
                    e.Pane.DockAreaPane.Tag = false;
                    e.Pane.DockAreaPane.ResetSize();
                }

            }
        }
    }
}
